{
    "$graph": [
        {
            "class": "CommandLineTool",
            "id": "#combine.cwl",
            "baseCommand": [
                "3_Combine.py"
            ],
            "inputs": [
                {
                    "id": "#combine.cwl/combine/curatedFeatures",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                },
                {
                    "id": "#combine.cwl/combine/responseVariable",
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--ResponseVariablePath"
                    }
                },
                {
                    "id": "#combine.cwl/combine/outFileName",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outFileName"
                    }
                },
                {
                    "id": "#combine.cwl/combine/outDirectory",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outDirectory"
                    }
                }
            ],
            "label": "combine",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 1000,
                    "coresMin": 1
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "stjude/m2a:0.0.1"
                }
            ],
            "outputs": [
                {
                    "id": "#combine.cwl/combine/outputModel",
                    "type": "File",
                    "outputBinding": {
                        "glob": "output/*.h5"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#getmethylation.cwl",
            "baseCommand": [
                "2_getMethylationV2.py"
            ],
            "inputs": [
                {
                    "id": "#getmethylation.cwl/get_methylation/curated_sites",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                },
                {
                    "id": "#getmethylation.cwl/get_methylation/promoterDefinitions",
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#getmethylation.cwl/get_methylation/output",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "output/*Features*"
                    }
                }
            ],
            "label": "getMethylation",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 8000,
                    "coresMin": 0
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "stjude/m2a:0.0.1"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#getpredictions.cwl",
            "baseCommand": [
                "4_getPredictions.py"
            ],
            "inputs": [
                {
                    "id": "#getpredictions.cwl/getpredictions/inputFeatures",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                },
                {
                    "id": "#getpredictions.cwl/getpredictions/model",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#getpredictions.cwl/getpredictions/output",
                    "type": "File",
                    "outputBinding": {
                        "glob": "output/Predictions*.txt"
                    }
                }
            ],
            "label": "getPredictions",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "stjude/m2a:0.0.1"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#getresponsevariable.cwl",
            "baseCommand": [
                "1_getResponseVariable.py"
            ],
            "inputs": [
                {
                    "id": "#getresponsevariable.cwl/getresponsevariable/chipBigwig",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                },
                {
                    "id": "#getresponsevariable.cwl/getresponsevariable/inputBigwig",
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    }
                },
                {
                    "id": "#getresponsevariable.cwl/getresponsevariable/promoterDefinitions",
                    "type": "File",
                    "inputBinding": {
                        "position": 3
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#getresponsevariable.cwl/getresponsevariable/responseVariable",
                    "type": "File",
                    "outputBinding": {
                        "glob": "output/*.txt"
                    }
                }
            ],
            "label": "getResponseVariable",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 2000,
                    "coresMin": 1
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "stjude/m2a:0.0.1"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#gettransfermodel.cwl",
            "baseCommand": [
                "5_getTransferModel.py"
            ],
            "inputs": [
                {
                    "id": "#gettransfermodel.cwl/gettransfermodel/FeatureFilePath",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                },
                {
                    "id": "#gettransfermodel.cwl/gettransfermodel/ModelFilePath",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#gettransfermodel.cwl/gettransfermodel/updatedModel",
                    "type": "File",
                    "outputBinding": {
                        "glob": "output/NewModel*.h5"
                    }
                }
            ],
            "label": "getTransferModel",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 1000,
                    "coresMin": 1
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "stjude/m2a:0.0.1"
                }
            ]
        },
        {
            "class": "Workflow",
            "id": "#main",
            "label": "m2a",
            "inputs": [
                {
                    "id": "#main/curated",
                    "type": "File",
                    "https://www.sevenbridges.com/x": -580,
                    "https://www.sevenbridges.com/y": 244
                },
                {
                    "id": "#main/model",
                    "type": "File",
                    "https://www.sevenbridges.com/x": -154,
                    "https://www.sevenbridges.com/y": -396
                },
                {
                    "id": "#main/chipBigwig",
                    "type": "File",
                    "https://www.sevenbridges.com/x": -597.9090576171875,
                    "https://www.sevenbridges.com/y": 89.5
                },
                {
                    "id": "#main/inputBigwig",
                    "type": "File",
                    "https://www.sevenbridges.com/x": -656.958251953125,
                    "https://www.sevenbridges.com/y": -25.5
                },
                {
                    "id": "#main/promoterDefinitions",
                    "type": "File",
                    "https://www.sevenbridges.com/x": -639.671875,
                    "https://www.sevenbridges.com/y": -296
                }
            ],
            "outputs": [
                {
                    "id": "#main/predictionsTxt",
                    "outputSource": [
                        "#main/getpredictions/output"
                    ],
                    "type": "File",
                    "https://www.sevenbridges.com/x": 920,
                    "https://www.sevenbridges.com/y": 24
                },
                {
                    "id": "#main/featuresTxt",
                    "outputSource": [
                        "#main/get_methylation/output"
                    ],
                    "type": [
                        "null",
                        "File"
                    ],
                    "https://www.sevenbridges.com/x": 905.9365234375,
                    "https://www.sevenbridges.com/y": 386.6665954589844
                },
                {
                    "id": "#main/featuresModel",
                    "outputSource": [
                        "#main/combine/outputModel"
                    ],
                    "type": "File",
                    "https://www.sevenbridges.com/x": 858.1072998046875,
                    "https://www.sevenbridges.com/y": 232.57901000976562
                }
            ],
            "steps": [
                {
                    "id": "#main/get_methylation",
                    "in": [
                        {
                            "id": "#main/get_methylation/curated_sites",
                            "source": "#main/curated"
                        },
                        {
                            "id": "#main/get_methylation/promoterDefinitions",
                            "source": "#main/promoterDefinitions"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/get_methylation/output"
                        }
                    ],
                    "run": "#getmethylation.cwl",
                    "label": "getMethylation",
                    "https://www.sevenbridges.com/x": 13.206361770629883,
                    "https://www.sevenbridges.com/y": 207.0237579345703
                },
                {
                    "id": "#main/getpredictions",
                    "in": [
                        {
                            "id": "#main/getpredictions/inputFeatures",
                            "source": "#main/combine/outputModel"
                        },
                        {
                            "id": "#main/getpredictions/model",
                            "source": "#main/gettransfermodel/updatedModel"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/getpredictions/output"
                        }
                    ],
                    "run": "#getpredictions.cwl",
                    "label": "getPredictions",
                    "https://www.sevenbridges.com/x": 702,
                    "https://www.sevenbridges.com/y": -18
                },
                {
                    "id": "#main/gettransfermodel",
                    "in": [
                        {
                            "id": "#main/gettransfermodel/FeatureFilePath",
                            "source": "#main/combine/outputModel"
                        },
                        {
                            "id": "#main/gettransfermodel/ModelFilePath",
                            "source": "#main/model"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/gettransfermodel/updatedModel"
                        }
                    ],
                    "run": "#gettransfermodel.cwl",
                    "label": "getTransferModel",
                    "https://www.sevenbridges.com/x": 501,
                    "https://www.sevenbridges.com/y": -49
                },
                {
                    "id": "#main/getresponsevariable",
                    "in": [
                        {
                            "id": "#main/getresponsevariable/chipBigwig",
                            "source": "#main/chipBigwig"
                        },
                        {
                            "id": "#main/getresponsevariable/inputBigwig",
                            "source": "#main/inputBigwig"
                        },
                        {
                            "id": "#main/getresponsevariable/promoterDefinitions",
                            "source": "#main/promoterDefinitions"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/getresponsevariable/responseVariable"
                        }
                    ],
                    "run": "#getresponsevariable.cwl",
                    "label": "getResponseVariable",
                    "https://www.sevenbridges.com/x": 83.14013671875,
                    "https://www.sevenbridges.com/y": -154.5
                },
                {
                    "id": "#main/combine",
                    "in": [
                        {
                            "id": "#main/combine/curatedFeatures",
                            "source": "#main/get_methylation/output"
                        },
                        {
                            "id": "#main/combine/responseVariable",
                            "source": "#main/getresponsevariable/responseVariable"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/combine/outputModel"
                        }
                    ],
                    "run": "#combine.cwl",
                    "label": "combine",
                    "https://www.sevenbridges.com/x": 323.0421142578125,
                    "https://www.sevenbridges.com/y": 120.5
                }
            ],
            "requirements": []
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "sbg": "https://www.sevenbridges.com/"
    }
}
